import Mock from "mockjs";

export const rangeTableData = [
  {
    name: 'field1',
    type: 'varchar(255)',
  },
  {
    name: 'field2',
    type: 'varchar(255)',
  },
  {
    name: 'field3',
    type: 'varchar(255)',
  },
];

export const gatherData = (num) => {
  return Mock.mock({
    [`users|${num}`]: [
      // 根据 num 动态生成用户数量
      {
        'id|+1': 1,
        address: '@county(true)',
        create_date: '@date("yyyy-MM-dd")',
        id: '@id',
        name: '@name',
      },
    ],
  }).users;
};

export const columnTableData = [
  {
    table: 'employee',
    column: 'id',
    chName: '编号',
    des: '编号',
    type: 'NUMBER',
    labelType: '默认分类',
    sensitive: '否',
  },
  {
    table: 'employee',
    column: 'em_name',
    chName: '姓名',
    des: '姓名',
    type: 'STRING',
    labelType: '默认分类',
    sensitive: '否',
  },
  {
    table: 'employee',
    column: 'em_idcard',
    chName: '身份证',
    des: '身份证',
    type: 'STRING',
    labelType: '默认分类',
    sensitive: '是',
  },
];

export const gatherDataTableHeader = [
  {
    name: '城市',
    field: 'address',
  },
  {
    name: '创建时间',
    field: 'create_date',
  },
  {
    name: '序列',
    field: 'id',
  },
  {
    name: '姓名',
    field: 'name',
  },
];
